# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client
Interface AuthTokenFactory

All Known Implementing Classes:
  GoogleAuthTokenFactory

    public interface AuthTokenFactory

An interface to a factory that creates authentication tokens.

Nested Class Summary
`static interface` `AuthTokenFactory.AuthToken` A marker interface for authentication tokens.
`static interface` `AuthTokenFactory.TokenListener` A listener interface that's used to inform interested parties that an authentication token has changed.

Method Summary
`AuthTokenFactory.AuthToken` `getAuthToken()` Get an authentication token.
`void` `handleSessionExpiredException(GoogleService.SessionExpiredException sessionExpired)` Handles a session expired exception.

Method Detail

### getAuthToken

    AuthTokenFactory.AuthToken getAuthToken()

  Get an authentication token.

  Returns:
    Authentication token.

### handleSessionExpiredException

    void handleSessionExpiredException(GoogleService.SessionExpiredException sessionExpired)
                                       throws GoogleService.SessionExpiredException,
                                              AuthenticationException

  Handles a session expired exception.

  Throws:
    `GoogleService.SessionExpiredException`
    `AuthenticationException`